Package org.jbpm.persistence.correlation

## Class CorrelationKeyInfo

- java.lang.Object
- - org.jbpm.persistence.correlation.CorrelationKeyInfo

- All Implemented Interfaces:
    `Serializable`, `org.jbpm.persistence.api.PersistentCorrelationKey`, `org.kie.internal.process.CorrelationKey`

      @Entity
      public class CorrelationKeyInfo
      extends Object
      implements org.jbpm.persistence.api.PersistentCorrelationKey, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CorrelationKeyInfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addProperty​(CorrelationPropertyInfo property)` |
    `boolean` | `equals​(Object obj)` |
    `long` | `getId()` |
    `String` | `getName()` |
    `long` | `getProcessInstanceId()` |
    `List<org.kie.internal.process.CorrelationProperty<?>>` | `getProperties()` |
    `int` | `hashCode()` |
    `void` | `setName​(String name)` |
    `void` | `setProcessInstanceId​(long processInstanceId)` |
    `String` | `toExternalForm()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CorrelationKeyInfo

          public CorrelationKeyInfo()

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.kie.internal.process.CorrelationKey`

    - #### getProperties

          public List<org.kie.internal.process.CorrelationProperty<?>> getProperties()

      Specified by:
        `getProperties` in interface `org.kie.internal.process.CorrelationKey`

    - #### getProcessInstanceId

          public long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.jbpm.persistence.api.PersistentCorrelationKey`

    - #### setProcessInstanceId

          public void setProcessInstanceId​(long processInstanceId)

    - #### setName

          public void setName​(String name)

    - #### addProperty

          public void addProperty​(CorrelationPropertyInfo property)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getId

          public long getId()

      Specified by:
        `getId` in interface `org.jbpm.persistence.api.PersistentCorrelationKey`

    - #### toExternalForm

          public String toExternalForm()

      Specified by:
        `toExternalForm` in interface `org.kie.internal.process.CorrelationKey`